Group: Graphics
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		redmode
Version:	1.1
Release:	alt1_16
Summary:	Switch to and from night red mode

License:	GPLv2+
URL:		http://fedoraproject.org/wiki/SIGs/Astronomy/
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildArch:	noarch
Requires:	zenity GConf libGConf
Source44: import.info

%description
Little shell script for GNOME to change the color theme
to red. Useful for astronomers in night.

%prep
%setup -q

%build

%install
rm -fr $RPM_BUILD_ROOT
install -Dm 755 redmode $RPM_BUILD_ROOT%{_bindir}/redmode
install -Dm 644 redmode.conf $RPM_BUILD_ROOT%{_sysconfdir}/redmode.conf
install -Dm 644 redmode.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/redmode.xpm
desktop-file-install --dir ${RPM_BUILD_ROOT}%{_datadir}/applications redmode.desktop

%files
%doc COPYING
%{_bindir}/redmode
%config(noreplace) %{_sysconfdir}/redmode.conf
%{_datadir}/pixmaps/redmode.xpm
%{_datadir}/applications/*redmode.desktop

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_8
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_7
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_6
- initial fc import

